Bug 321301 - Kernel hangs on startup with Benq A122 USB keyboard
Kernel hangs on startup with Benq A122 USB keyboard
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-06 08:40 EDT by Roland Wolters
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-20 18:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsusb -v output (1.83 KB, text/plain)
2007-10-06 08:40 EDT, Roland Wolters
no flags Details
/var/log/messages output when the keyboard is connected (603 bytes, text/plain)
2007-10-06 08:43 EDT, Roland Wolters
no flags Details

  None (edit)
Description Roland Wolters 2007-10-06 08:40:49 EDT
Description of problem:
When a Benq A122 USB keyboard is attached to the computer at startup the 
kernel hangs during boot process. The last message on the monitor is
"SMP motherboard not connected"

If I detach the keyboard the startup works as usual. I can also connect it  
afterwards without any problems. If I connect the keyboard /var/log/messages 
shows:
Oct  6 14:38:46 localhost kernel: usb 4-1.1: configuration #1 chosen from 1 
choice
Oct  6 14:38:46 localhost kernel: input: Darfon USB Combo Keyboard 
as /class/input/input18
Oct  6 14:38:46 localhost kernel: input: USB HID v1.00 Keyboard [Darfon USB 
Combo Keyboard] on usb-0000:00:1d.7-1.1
Oct  6 14:38:46 localhost kernel: input: Darfon USB Combo Keyboard 
as /class/input/input19
Oct  6 14:38:46 localhost kernel: input,hiddev96: USB HID v1.00 Device [Darfon 
USB Combo Keyboard] on usb-0000:00:1d.7-1.1

lsusb shows:
Bus 004 Device 007: ID 0d62:001c Darfon Electronics Corp.

A full "lsusb -s 004 -v" output is attached.
Comment 1 Roland Wolters 2007-10-06 08:40:49 EDT
Created attachment 218391 [details]
lsusb -v output
Comment 2 Roland Wolters 2007-10-06 08:43:25 EDT
Created attachment 218401 [details]
/var/log/messages output when the keyboard is connected

In the original bug report the first line is missing.
Comment 3 Roland Wolters 2007-10-20 18:17:55 EDT
The problem suddenly disappeared. I guess it was an update although I'm not 
sure which it could have been.
Therefore I close the bug as "worksforme".

Note You need to log in before you can comment on or make changes to this bug.